%define qtdir /usr/lib/qt3
%define objprelink 1

Name: knetload
Version: 1.9.4
Release: alt2
Serial: 1

Group: Monitoring
Summary: Network traffic monitor
License: GPL

Source: %name-%version.tar.bz2

%if %objprelink
#BuildRequires: objprelink
%endif

# Automatically added by buildreq on Thu Sep 12 2002
#BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++ kde-common kde-config kdelibs-devel libarts-devel libcups libfam libjpeg-devel liblcms libmng libpng-devel libqt3-devel libssl libstdc++-devel libxslt objprelink xml-utils zlib-devel

BuildRequires: XFree86-devel XFree86-libs freetype2 gcc-c++
BuildRequires: kde-common kde-config kdelibs-devel libarts-devel libcups
BuildRequires: libfam libjpeg-devel liblcms libmng libpng-devel libqt3-devel
BuildRequires: libssl libstdc++-devel libxslt xml-utils zlib-devel

%description
KDE application that monitors network traffic.

%prep
%setup -q

%build
export QTDIR=%qtdir KDEDIR=%prefix
%configure \
    --disable-rpath \
    --program-transform-name="" \
    --enable-final

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%makeinstall

install -d 755 $RPM_BUILD_ROOT%_menudir
kdedesktop2mdkmenu.pl %name Applications/Monitoring %buildroot/%_datadir/applnk/Applications/knetload.desktop %buildroot/%_menudir/%name kde


%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
#
%_menudir/%name
#
%dir %_datadir/apps/knetload/
#
%_datadir/applnk/Applications/knetload.desktop
#
%_datadir/icons/*/*/*/*

%changelog
* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.4-alt2
- rebuild with gcc3.2

* Sat Apr 27 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.4-alt1
- new version
- build with KDE3

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 1.91-ipl2mdk
- rebuild with new libpng

* Fri Mar 2 2001 AEN <aen@logic.ru> 1.91-ipl1mdk
- new version with KDE-2.1
* Mon Jan 15 2001 AEN <aen@logic.ru>
- RE adaptation
- BuildReq added

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-3mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Tue Oct 10 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-2mdk
- Don't think i586 is alone in CPU constellation
- Macros

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Up to KDE2 Version

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3-7mdk
- Reducte entry menu to kde destop
- Remove rpath

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3-6mdk
- Don't use prefix
- Don't use autogenerated file list
- Menu entry
- Changed group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Libtoolize --force.

* Tue Dec 22 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Add fr.po

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed stupid bug of mine in spec file

* Tue Oct 12 1999 Francis Galiegue <francis@mandrakesoft.com>
- version 1.3
- spec file cleanups

* Sat Aug 28 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

